Bug 188477 - Review Request: maildrop
Review Request: maildrop
Status: CLOSED DUPLICATE of bug 241596
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-04-10 10:52 EDT by Neal Becker
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-28 13:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-04-10 10:52:14 EDT
Spec Name or Url: http://nbecker.dyndns.org:8080/maildrop.spec
SRPM Name or Url: http://nbecker.dyndns.org:8080/maildrop-1.8.1-1.4.src.rpm
Description: 

Summary: maildrop mail filter/mail delivery agent
Description:
 .
 Maildrop is a combination mail filter/mail delivery agent.
 Maildrop reads the message to be delivered to your mailbox,
 optionally reads instructions from a file how filter incoming
 mail, then based on these instructions may deliver mail to an
 alternate mailbox, or forward it, instead of dropping the
 message into your mailbox.
 .
 Maildrop uses a structured, real, meta-programming language in
 order to define filtering instructions.  Its basic features are
 fast and efficient.  At sites which carry a light load, the
 more advanced, CPU-demanding, features can be used to build
 very sophisticated mail filters.  Maildrop deployments have
 been reported at sites that support as many as 30,000
 mailboxes.
 .
 Maildrop mailing list:
 http://lists.sourceforge.net/lists/listinfo/courier-maildrop
 .
 This version is compiled with support for GDBM database files,
 maildir enhancements (folders+quotas), and userdb.
Comment 1 Michael Fleming 2006-04-11 07:15:31 EDT
This is a *very* old version of maildrop - 2.0.2 is current and is vastly
improved on the old 1.x series.

However newer versions dependent on a courier-authlib package at both build and
runtime and no such package exists yet in Extras.

Additionally, fam-devel no longer exists in Core (replace that with gamin-devel)
and you might want to swap gdbm for db (--with-db=db in configure) as I find the
latter a little more reliable.

The spec definitely needs some work before it's ready for Extras (many of the
%defines are not needed or not desirable, "make install" is preferred of "make
install-strip" among others)

On the upside, I've been packaging both this and maildrop for a while now (and
courier-imap, but the spec file is a disaster area hence why I've not submitted
it) If you want to try a more modern version I'm happy to put my courier-authlib
package for review and you can build off of that.

You can also have a look at the spec if you like (it too is built off Sam's
distribution specfile but has been hacked around quite a bit since then)

http://www.enlartenment.com/packages/fedora/5/SRPMS/courier-authlib-0.58-1.fc5.mf.src.rpm
http://www.enlartenment.com/packages/fedora/5/SRPMS/maildrop-2.0.2-1.fc5.mf.src.rpm
Comment 2 Neal Becker 2006-04-11 08:27:51 EDT
I'm sorry, I meant maildrop-2.0.2. 
 
I didn't notice any need for courier-authlib.  I don't have it and am using 
maildrop fine - maybe I'm not using those features?  I'm only using it's mail 
filtering (as a procmail alternative). 
 
The spec file I used is from maildrop upstream with no change. 
 
Comment 3 Neal Becker 2006-04-11 09:57:04 EDT
I have looked at your suggestions and made a new version:  
 
http://nbecker.dyndns.org:8080/maildrop.spec 
http://nbecker.dyndns.org:8080/maildrop-2.0.2-2.5.src.rpm 
 
AFAICT, courier-authlib is an optional part.  Does anyone object to omitting 
it?   
Comment 4 Laurent Rineau 2006-05-16 09:15:05 EDT
Mass-block FE-NEEDSPONSOR for the six review requests¹ of Neal Becker. Neal, 
when you get sponsorship, you will have to unblock it for all your requests.

¹) Actually the four that do not block yet FE-NEEDSPONSOR.
Comment 5 Johan Kok 2006-05-19 02:54:53 EDT
(In reply to comment #3)
> AFAICT, courier-authlib is an optional part.  Does anyone object to omitting 
> it?   

I'm currently using maildrop with courier-authlib. When a new version of
maildrop (of courier-authlib) is released I manualy build and upgrade the RPMS.
I would appreciate support for courier-authlib in this maildrop package. As far
as i know courier-authlib is not yet in FE or under review. Can I do anything to
help with that? 
Comment 6 Neal Becker 2006-05-19 07:50:47 EDT
Does it make sense to package courier-authlib separately, or is it only a 
compile-time option?
Comment 7 Johan Kok 2006-06-07 06:43:07 EDT
(In reply to comment #6)
> Does it make sense to package courier-authlib separately, or is it only a 
> compile-time option?

I believe packaging a separate courier-authlib makes sense. From the courier
website: "The Courier Authentication Library is a generic authentication API
that encapsulates the process of validating account passwords. (...) The Courier
authentication library must be installed before building any Courier packages
that needs direct access to mailboxes.".

Besides that, packaging courier-authlib as a seperate package for FE makes it
possible/easier to package other courier software (i.e. courier-mta org
courier-imap) for FE.
Comment 9 Johan Kok 2006-09-22 16:57:24 EDT
(In reply to comment #8)
> Check this:

Looks great. In comment #1 Michael proposed to submit that package for review in
Extras. Is that offer still available? Otherwise I could make this my first
package contribution to FE, but I'm pretty confident that would take more time
then when Michael puts his package up for review.

In any case, I don't think courier-authlib is a blocker for this review. The
maildrop package can always be 'improved' when/if courier-authlib becomes
available in FE.
Comment 10 Johan Kok 2006-09-22 17:02:33 EDT
Removing FE-NEEDSPONSOR since Neal is in cvsextras
Comment 11 Neal Becker 2006-09-22 19:04:22 EDT
(In reply to comment #1)
> This is a *very* old version of maildrop - 2.0.2 is current and is vastly
> improved on the old 1.x series.
> 
> However newer versions dependent on a courier-authlib package at both build 
and
> runtime and no such package exists yet in Extras.
> 
> Additionally, fam-devel no longer exists in Core (replace that with 
gamin-devel)
> and you might want to swap gdbm for db (--with-db=db in configure) as I find 
the
> latter a little more reliable.
> 
> The spec definitely needs some work before it's ready for Extras (many of 
the
> %defines are not needed or not desirable, "make install" is preferred 
of "make
> install-strip" among others)
> 
> On the upside, I've been packaging both this and maildrop for a while now 
(and
> courier-imap, but the spec file is a disaster area hence why I've not 
submitted
> it) If you want to try a more modern version I'm happy to put my 
courier-authlib
> package for review and you can build off of that.
> 
> You can also have a look at the spec if you like (it too is built off Sam's
> distribution specfile but has been hacked around quite a bit since then)
> 
> 
http://www.enlartenment.com/packages/fedora/5/SRPMS/courier-authlib-0.58-1.fc5.mf.src.rpm
> 
http://www.enlartenment.com/packages/fedora/5/SRPMS/maildrop-2.0.2-1.fc5.mf.src.rpm


Mike, are you going to pursue submitting this to fedora-extras?
Comment 12 Johan Kok 2006-12-05 10:20:29 EST
(In reply to comment #11)
> Mike, are you going to pursue submitting this to fedora-extras?

FYI: A courier-authlib RPM is the review process now #208064 
Comment 13 Michael Fleming 2006-12-06 04:02:39 EST
Yeah, I'll finish the review when I get a spare half hour (there's not much left
to do IIRC). I've been quite busy at work so spare time is a premium :-).

I might submit my courier-imap package once that's done, but getting it to play
nice with rpmlint could be challenging (the existing spec and upgrade methods
are... *interesting* as I try and keep Sam's way of doing things as best possible)
Comment 15 Mamoru TASAKA 2007-01-26 11:59:51 EST
Then.. what is the status of this bug?
Comment 16 Johan Kok 2007-02-05 11:44:48 EST
FYI: Version 2.0.3 of maildrop was released last December
Comment 17 Johan Kok 2007-02-05 11:48:04 EST
Whoops. Restoring NEEDINFO for this review, as I accidently removed it
Comment 18 Axel Thimm 2007-03-27 14:41:14 EDT
Recently procmail caused me some mail loss, and the bug is unfixable due to lack
of maintainership for the last 6 years, so I moved to maildrop. The URLs in this
report have went all bad, so I had to package from scratch.

I've placed the packages in ATrpms and would be more than willing to submit them
into Fedora.  Should I take over this report or create a new one?
Comment 19 Neal Becker 2007-03-28 07:38:34 EDT
I'm using maildrop-2.0.2.  Maybe you'd like to compare the spec file I've been 
using.  It is here:
https://nbecker.dyndns.org/RPM/maildrop.spec
Comment 20 Johan Kok 2007-03-28 08:39:42 EDT
(In reply to comment #18)
> I've placed the packages in ATrpms and would be more than willing to submit them
> into Fedora.  Should I take over this report or create a new one?

Since this review seems to be stalled, I see no problem when you take over this report.
Comment 21 Marcin Garski 2007-05-09 13:49:59 EDT
Axel is there any progress in maildrop package submit?
Comment 22 Axel Thimm 2007-05-09 15:33:50 EDT
Here it is

http://dl.atrpms.net/all/maildrop-2.0.3-2.at.src.rpm
http://dl.atrpms.net/all/maildrop.spec

But I think I'm supposed to reopen a new bugzilla ticket.
Comment 23 Axel Thimm 2007-05-28 13:26:44 EDT

*** This bug has been marked as a duplicate of 241596 ***
Comment 24 Neal Becker 2007-05-29 09:11:08 EDT
It is now more than 1 year since I proposed adding this package and posted an 
RPM for review.  Since there has been no progress, I propose to resubmit this.

Here is an updated package:

https://nbecker.dyndns.org/RPM/maildrop-2.0.4-1.fc7.src.rpm
https://nbecker.dyndns.org/RPM/maildrop.spec
Comment 25 Laurent Rineau 2007-05-29 09:26:04 EDT
Neal, this bug is closed (duplicate) since *yesterday*, when Axel Trimm has 
submitted bug #241596.

Note You need to log in before you can comment on or make changes to this bug.